hakyll-4.4.3.0: A static website compiler library

Safe Haskell | None

Hakyll.Core.Writable

Description

Describes writable items; items that can be saved to the disk

Synopsis

- class Writable a where
  - write :: FilePath -> Item a -> IO ()

# Documentation

class Writable a where Source

Describes an item that can be saved to the disk

Methods

write :: FilePath -> Item a -> IO ()Source

Save an item to the given filepath

Instances

Writable () |
Writable ByteString |
Writable ByteString |
Writable Html |
Writable Template |
Writable TmpFile |
Writable CopyFile |
Writable Biblio |
Writable CSL |
Writable [Char] |
Writable [Word8] |